天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 74|回复: 0

‎使用 ObjectARX 向块添加新属性‎

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
[code]void AddNewAtt()

{

    AcDbDatabase *pCurDb;

    AcDbBlockTable* pBlkTbl;

    AcDbBlockTableRecord* pBlkRec;

    AcDbObjectId attId;

    Acad::ErrorStatus es;



    AcDbAttributeDefinition* pAttDef;

   // location of the AttributeDefinition in the

   // block definition

    AcGePoint3d attLoc(1.2, -0.5, 0);



   // specify the text,tag and prompt

    ACHAR text[] = {L"NEW VALUE ADDED"};

    ACHAR tag[] = {L"MYTAG"};

    ACHAR prompt[] = {L"Enter a new value"};

     

    pCurDb =

       acdbHostApplicationServices()->workingDatabase();



    es =

       pCurDb->getBlockTable(pBlkTbl, AcDb::kForRead);



    if(!pBlkTbl->has(L"TEST"))

    {

        acutPrintf(L"\nBlock definition TEST does not

                    exist");

        pBlkTbl->close();

        return;

    }



    es = pBlkTbl->getAt(L"TEST", pBlkRec, AcDb::kForWrite);

    // create a AttributeDefinition

    pAttDef = new AcDbAttributeDefinition(attLoc, text,

                                           tag, prompt);



    // append the AttributeDefinition to the definition

    es = pBlkRec->appendAcDbEntity(attId, pAttDef);



    pAttDef->close();

    pBlkRec->close();

    pBlkTbl->close();

}



[/code]

 

 

 

 

‎使用 ObjectARX 向块添加新属性‎
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 10:35 , Processed in 0.122478 second(s), 25 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表